#ifndef SKYBOX_H
#define SKYBOX_H

#include "opengl.h"
#include <string>

class Camera;
class Shader;
class Texture;

class Skybox
{
    static const GLfloat skyboxVertices[];
    static const GLubyte skyboxIndices[];
    static const std::string vertSource;
    static const std::string fragSource;

    int width;
    int height;

    GLuint vao;
    GLuint vbos[2];
    GLuint mvpLocation;
    GLuint cubemapLocation;
    Shader* shader;
    Texture* cubeMap;

public:
    Skybox(Texture* myCubeMap);
    ~Skybox();
    void renderGL(Camera* myCamera);
    void resizeGL(int w, int h) {width = w; height = h;}
};

#endif // SKYBOX_H
